org.gnome.gtk

## Interface Widget.PopupMenu

- Enclosing class:
    Widget

      public static interface Widget.PopupMenu

  The signal emitted when the user presses the `Menu` key.

  This is usually used in conjunction with a `Widget.ButtonPressEvent` handler set up to intercept a right-click, with both handlers being written to call common code to populate and present a context menu.

  Since:
    4.0.9
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onPopupMenu(Widget source)`

- - ### Method Detail

    - #### onPopupMenu

          boolean onPopupMenu(Widget source)